package com.novomind.ecom.app.iagent.helloworld.chatinfo.plugin;

import javax.inject.Inject;

import com.novomind.ecom.api.iagent.frontend.chatinfo.AgentChatInfoViewContext;
import org.slf4j.Logger;

import com.novomind.ecom.api.iagent.frontend.chatinfo.ChatInfoTab;
import com.novomind.ecom.api.iagent.frontend.chatinfo.ChatInfoTabProvider;
import com.novomind.ecom.api.iagent.frontend.chatinfo.ChatInfoViewContext;
import com.novomind.ecom.api.iagent.plugin.ChatAgentPlugin;
import com.novomind.ecom.api.imail.routing.RoutingPlugin;

@RoutingPlugin
@ChatAgentPlugin
public class HelloWorldChatInfoTabProvider implements ChatInfoTabProvider {

  private static final String NAME         = "hello";
  private static final String DISPLAY_NAME = "Hello";

  private final Logger        log;

  @Inject
  public HelloWorldChatInfoTabProvider(Logger log) {
    this.log = log;
  }

  @Override
  public ChatInfoTab getChatInfoTab(ChatInfoViewContext context) {
    log.trace("getChatInfoTab.default");
    return new ChatInfoTab(NAME, DISPLAY_NAME + " (ID: " + context.getIssue().getId() + ")", context.getViewUrl("/helloworld/chatinfotab/helloworld.xhtml"));
  }
  //Hello-Tab added in Supervisor
  @Override
  public ChatInfoTab getChatInfoTab(AgentChatInfoViewContext context) {
    log.trace("getChatInfoTab.default");
    return new ChatInfoTab(NAME, DISPLAY_NAME + " (ID: " + context.getIssue().getId() + ")", context.getViewUrl("/helloworld/chatinfotab/helloworld.xhtml"));
  }

}